Klanghelm DC8C3 and DC1A3 released

VST, AU, etc. plug-in Virtual Effects discussion
Lotuz2019
KVRist
418 posts since 26 Apr, 2019 from Netherlands

Post Sun Dec 08, 2019 12:47 am

Guys...

Newsletter 26 November 2019:
Full compatibility with macOS Catalina (10.15) plus VST3 versions
Hi all,
All Klanghelm plugins (incl. the free ones) are now fully compatible with macOs Catalina.
VST3 versions have been added too.

I've revisited each plugin and optimized many small bits here and there and fixed little bugs and potential issues.

The biggest improvement might be, that MJUC takes up to 30% less CPU load in HQ mode.

On Mac, I got rid off the drag-and-drop installer and offer a more convenient pkg installer for the new versions.

The new VUMT- and VUMTdeluxe- installers include the (optional) Standalone version. So no need to download the Standalone app separately.

As announced in the previous newsletter, all Klanghelm plugins are 64bit only now.
If you still require 32bit versions of the plugins you've purchased, please send me an email.

That's all for today. Now back to working on the EQ...

All the best,

Tony

https://www.klanghelm.com

User avatar
mladi
KVRian
855 posts since 14 Apr, 2016 from Germany

Re: Klanghelm DC8C3 and DC1A3 released

Post Sun Dec 08, 2019 1:12 am

mabian wrote:
Sun Dec 08, 2019 12:36 am
GreyLion wrote:
Sat Dec 07, 2019 10:36 pm
Oh, for Ghod's sake. If 32-bit is such a big deal to you, just buy BridgeWize or another bit-bridge, assuming that you're avoiding Reaper, which has a great one built in. Instead of making our hard-working devs stay stuck in the past.

I say this as a happy user of a couple of 32-bit plugs, most especially CLAS. It's on me, not the dev, after almost fifteen years.
I *am* using the bridge, but drop of 32 bit support means no more fixes and enhancements on that version. And I have projects using the 32 bit version of the plugins. If I can load the same projects with the x64 plugins, totally fine for me. If not... that' s a pity.
Simple as that.

- Mario
I don't have a single project from the past which need "fixed" .dll's - who ever need that anyway and for what?
Image
Intel® Core™ i9-9900K|Presonus Eris E8 XT|Focusrite Scarlett 18i20|Native Instruments Kontrol S61 MK2|Stein­berg CC121|Akai FL Studio Fire|Steinberg Cubase 10 Pro|FL Studio 20.5

mabian
KVRAF
1636 posts since 10 Jan, 2005

Re: Klanghelm DC8C3 and DC1A3 released

Post Sun Dec 08, 2019 1:25 am

mladi wrote:
Sun Dec 08, 2019 1:12 am
mabian wrote:
Sun Dec 08, 2019 12:36 am
GreyLion wrote:
Sat Dec 07, 2019 10:36 pm
Oh, for Ghod's sake. If 32-bit is such a big deal to you, just buy BridgeWize or another bit-bridge, assuming that you're avoiding Reaper, which has a great one built in. Instead of making our hard-working devs stay stuck in the past.

I say this as a happy user of a couple of 32-bit plugs, most especially CLAS. It's on me, not the dev, after almost fifteen years.
I *am* using the bridge, but drop of 32 bit support means no more fixes and enhancements on that version. And I have projects using the 32 bit version of the plugins. If I can load the same projects with the x64 plugins, totally fine for me. If not... that' s a pity.
Simple as that.

- Mario
I don't have a single project from the past which need "fixed" .dll's - who ever need that anyway and for what?
Good for you...
Some plugins change plugin ID between x86 and x64, so some DAWs see them as different plugins...

I don't know about Klanghelm.
- Mario

perfumer
KVRian
601 posts since 4 Oct, 2018

Re: Klanghelm DC8C3 and DC1A3 released

Post Sun Dec 08, 2019 1:54 am

mabian wrote:
Sun Dec 08, 2019 1:25 am
mladi wrote:
Sun Dec 08, 2019 1:12 am
mabian wrote:
Sun Dec 08, 2019 12:36 am
GreyLion wrote:
Sat Dec 07, 2019 10:36 pm
Oh, for Ghod's sake. If 32-bit is such a big deal to you, just buy BridgeWize or another bit-bridge, assuming that you're avoiding Reaper, which has a great one built in. Instead of making our hard-working devs stay stuck in the past.

I say this as a happy user of a couple of 32-bit plugs, most especially CLAS. It's on me, not the dev, after almost fifteen years.
I *am* using the bridge, but drop of 32 bit support means no more fixes and enhancements on that version. And I have projects using the 32 bit version of the plugins. If I can load the same projects with the x64 plugins, totally fine for me. If not... that' s a pity.
Simple as that.

- Mario
I don't have a single project from the past which need "fixed" .dll's - who ever need that anyway and for what?
Good for you...
Some plugins change plugin ID between x86 and x64, so some DAWs see them as different plugins...

I don't know about Klanghelm.
- Mario
So just try and see if it works.

Return to “Effects”